Package org.codehaus.commons.compiler.jdk.util

# Interface JavaFileObjects.ByteArrayJavaFileObject

All Superinterfaces:
  `FileObject`, `JavaFileObject`

Enclosing class:
  `JavaFileObjects`

public static interface JavaFileObjects.ByteArrayJavaFileObject extends JavaFileObject
Byte array-based implementation of `JavaFileObject`.

## Nested Class Summary

## Nested classes/interfaces inherited from interface javax.tools.JavaFileObject

`JavaFileObject.Kind`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`toByteArray()`

### Methods inherited from interface javax.tools.FileObject

`delete, getCharContent, getLastModified, getName, openInputStream, openOutputStream, openReader, openWriter, toUri`

### Methods inherited from interface javax.tools.JavaFileObject

`getAccessLevel, getKind, getNestingKind, isNameCompatible`

## Method Details

### toByteArray

byte[] toByteArray()

Returns:
  The bytes that were previously written to this `JavaFileObject`